#
# spec file for package bamf
#
# Copyright (c) 2015 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


%define lname   libbamf3-2
%define _binver 3
%define _version 0.5
Name:           bamf
Version:        0.5.1
Release:        3.7
Summary:        Window matching library
License:        GPL-3.0 and LGPL-3.0
Group:          Development/Libraries/C and C++
Url:            https://launchpad.net/bamf
Source:         https://launchpad.net/bamf/%{_version}/%{version}/+download/bamf-%{version}.tar.gz
Source2:        https://launchpad.net/bamf/%{_version}/%{version}/+download/bamf-%{version}.tar.gz.asc
Source3:        %{name}.keyring
BuildRequires:  gnome-common
BuildRequires:  libxslt-python
BuildRequires:  python-libxml2
BuildRequires:  vala
BuildRequires:  pkgconfig(gio-2.0) >= 2.30.0
BuildRequires:  pkgconfig(gio-unix-2.0)
BuildRequires:  pkgconfig(glib-2.0) >= 2.32.0
BuildRequires:  pkgconfig(gobject-introspection-1.0) >= 0.10.2
BuildRequires:  pkgconfig(gtk+-3.0)
BuildRequires:  pkgconfig(libgtop-2.0)
BuildRequires:  pkgconfig(libwnck-3.0) >= 3.4.7
BuildRequires:  pkgconfig(x11)

%description
bamf matches application windows to desktop files.

%package daemon
Summary:        Window matching daemon
Group:          System/Daemons
Requires:       %{lname} = %{version}

%description daemon
bamf matches application windows to desktop files.

This package contains the daemon used by the library and a gio
module that facilitates the matching of applications started
through GDesktopAppInfo

%package doc
Summary:        Documentation for libbamf and libbamf3
Group:          Documentation/HTML
BuildArch:      noarch

%description doc
This package contains the documentation for the bamf library.

%package -n %{lname}
Summary:        Window matching library
Group:          System/Libraries

%description -n %{lname}
bamf matches application windows to desktop files.

This package contains libraries to be used by applications.

%package -n typelib-1_0-Bamf-%{_binver}_0
Summary:        Introspection bindings for the BAMF window matching library
Group:          System/Libraries

%description -n typelib-1_0-Bamf-%{_binver}_0
This package contains introspection data for the Bamf library.

This package provides the GObject Introspection bindings for Bamf.

%package devel
Summary:        Development files for the BAMF window matching library
Group:          Development/Libraries/C and C++
Requires:       %{lname} = %{version}
Requires:       typelib-1_0-Bamf-%{_binver}_0

%description devel
bamf matches application windows to desktop files.

This package contains files that are needed to build applications.

%prep
%setup -q

%build
NOCONFIGURE=1 gnome-autogen.sh
%configure \
  --disable-static \
  --enable-gtk-doc
make %{?_smp_mflags}

%install
%make_install
find %{buildroot} -type f -name "*.la" -delete -print

%post -n %{lname} -p /sbin/ldconfig

%postun -n %{lname} -p /sbin/ldconfig

%files daemon
%defattr(-,root,root)
%doc ChangeLog COPYING COPYING.LGPL TODO
%{_libexecdir}/bamf/
%{_datadir}/dbus-1/services/org.ayatana.bamf.service

%files -n %{lname}
%defattr(-,root,root)
%doc ChangeLog COPYING COPYING.LGPL TODO
%{_libdir}/libbamf%{_binver}.so.*

%files -n typelib-1_0-Bamf-%{_binver}_0
%defattr(-,root,root)
%{_libdir}/girepository-1.0/

%files devel
%defattr(-,root,root)
%{_includedir}/libbamf%{_binver}/
%{_libdir}/libbamf%{_binver}.so
%{_datadir}/vala/
%{_datadir}/gir-1.0/
%{_libdir}/pkgconfig/libbamf%{_binver}.pc

%files doc
%defattr(-,root,root)
%doc %{_datadir}/gtk-doc/

%changelog
* Sun May 10 2015 jengelh@inai.de
- Add gpg signature
* Sat May  9 2015 jengelh@inai.de
- Update RPM package groups and summaries
- Avoid running configure twice
- Make sure all non-base directories are owned
- Ensure all configure.ac requirements appear as BuildRequires
- Place documentation into subpackage, it is not needed for
  automated builds.
* Sat May  2 2015 sor.alexei@meowr.ru
- Update to 0.5.1:
  * BamfView: Reload the view children everytime it changes D-Bus
    path.
  * BamfXutils: Trap the X errors when doing async X calls.
  * BamfLegacyScreen: When in Unity monitor for Compiz
    ClientMessage's to show action menu.
  * BamfMatcher: Fix prefix regex for pythonX support.
  * BamfMatcher: Rename set our atom to _BAMF_DESKTOP_FILE.
  * BamfLegacyScreen: Do not show the actions menu for desktop
    type window.
  * Fix return value of try_create_local_desktop_data.
  * Remove old webapp related code since now we do not use browser
    tab matching anymore.
  * Install typelib files into MA libdir.
  * BamfMatcher: honour the _GTK_APPLICATION_ID xprop.
  * Replace gtk_icon_theme_has_icon with gtk_icon_theme_lookup_icon.
- Remove bamf-voidreturn.diff.
- Spec cleanup.
* Wed May  7 2014 jengelh@inai.de
- Add bamf-voidreturn.diff to resolve a compile abort due to
  nonsensical syntax.
* Fri May  2 2014 jengelh@inai.de
- Initial package (version 0.5.0) for openSUSE
